Webhook Endpoints
List webhook logs
Developer API operation for GET /dev/v1/webhooks/logs.
GET
/
dev
/
v1
/
webhooks
/
logs
List webhook logs
curl --request GET \
--url https://api.shoppex.io/dev/v1/webhooks/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/webhooks/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/webhooks/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/webhooks/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/webhooks/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "22222222-2222-4222-8222-222222222222",
"uniqid": "22222222-2222-4222-8222-222222222222",
"webhook_uniqid": "11111111-1111-4111-8111-111111111111",
"event_type": "payment:completed",
"url": "https://example.com/webhook",
"payload": {
"hello": "world"
},
"request_headers": null,
"response": null,
"response_headers": null,
"status": "success",
"status_code": 200,
"attempt": 1,
"duration_ms": 120,
"error_message": null,
"created_at": 1700000100,
"delivered_at": 1700000101
}
],
"pagination": {
"total": 3,
"page": 2,
"limit": 10,
"total_pages": 3,
"has_more": true
}
}⌘I
List webhook logs
